{
    onSourceTryHeal(damage, target, source, effect) {
        this.debug("Heal is occurring: " + target + " <- " + source + " :: " + effect.id);
        const canOoze = ["drain", "leechseed", "strengthsap"];
        if (canOoze.includes(effect.id)) {
            this.damage(damage);
            if (target.status === '' || target.status === 'slp') {
                target.trySetStatus('tox', source);
            }
            return 0;
        }
    },
    flags: {},
    name: "Liquid Ooze",
    rating: 2.5,
    num: 64
}
